
set title "Plotted from file zgoubi.plt  \n To convert from zgoubi's \
polar frame to lab frame: \n u ($10 *cm2m *cos($22+dev)):($10 *cm2m *sin($22+dev)) " font "sans, 14"

set key maxcol 1
set key t r 

#set logscale y 

set xtics mirror font  "sans, 14"
set ytics mirror font  "sans, 14"

set xlabel 'Y * cos(X)  [m]' font  "sans, 14"
set ylabel 'Y * sin(X)  [m]' font  "sans, 14"

cm2m = 0.01
MeV2eV = 1e6
am = 938.27203e6
c = 2.99792458e8
pi = 4. * atan(1.)

NOEL_1 = 4    #   number of 1st TOSCA in zgoubi,plt (col. 42)
NOEL_2 = 8    #   number of 2nd TOSCA in zgoubi,plt (col. 42)
NOEL_3 = 12   #   number of 3rd TOSCA in zgoubi,plt (col. 42)
NOEL_4 = 16   #   number of 4th TOSCA in zgoubi,plt (col. 42)
NOEL_5 = 20   #   number of 5th TOSCA in zgoubi,plt (col. 42)
NOEL_6 = 24   #   number of 6th TOSCA in zgoubi,plt (col. 42)

dev = 2.*pi/6.

set size ratio -1

plot  \
   'zgoubi.plt' u ($42==NOEL_1 ? (sqrt(($40*(1.+$2)*c)**2-am**2)-am)/1e6 :1/0):($10) w p ps .2 notit

     set terminal postscript eps blacktext color  enh  "Times-Sans" 12  
       set output "gnuplot_zgoubi.plt_ex1221a_Brho.eps"  
       replot  
       set terminal X11  
       unset output  
 
pause 2   # don't change this: needed for proper running of sector180deg
exit

