

 set title "Tunes"    font "roman,16"   # offset 0,+.7    

 set xlabel "Orbit #"   
 set ylabel "Q_x, Q_y"  
 set y2label "(Q_x^2+Q_y^2)^{1/2}"

 set xtics  
 set ytics nomirror 
 set y2tics nomirror

set key t l spacin 1.6

k=-0.03
qx(x) = sqrt(1+k)
qy(x) = sqrt(-k)

set grid

system "grep 'NU_Y =  ' zgoubi.res | cat > gnuplot_Qscan_grep.data"

Nmag = 6

 plot \
      "gnuplot_Qscan_grep.data" u :($3 *Nmag) axes x1y1 w lp pt 4 ps .8 lt 20 lc rgb "red" tit "Q_x"  ,\
       qx(x) axes x1y1 w l lw 2 lc rgb "red" tit "(1+k)^{1/2}" , \
      "gnuplot_Qscan_grep.data" u :(sqrt(($3 *Nmag)**2 + ($6 *Nmag)**2)) axes x1y2 w lp ps .2 lw 3 lc rgb "green" tit "(Q_x^2+Q_y^2)^{1/2}"  ,\
      "gnuplot_Qscan_grep.data" u :($6 *Nmag) axes x1y1 w lp pt 5 ps .8 lt 30 lc rgb "blue" tit "Q_y"  ,\
       qy(x) axes x1y1 w l lw 2 lc rgb "blue" tit "(-k)^{1/2}" 

 set terminal postscript eps blacktext color enh "Times-Roman" 18
 set output "gnuplot_cyclo_QscanFromMATRIX.eps"
 replot
 set terminal X11
 unset output

      pause 1

 exit
