
set key maxcol 1
set key outside
set key t c font  "sans,14"

set logscale y2

set xtics mirror font  "sans,18"
set x2tics  font  "sans,18"
set ytics nomirror font  "sans,18"
set y2tics nomirror font  "sans,18"

set xlabel 's  /circumference' font  "sans,18"
set ylabel 'Y  [cm]' font  "sans,18"
set y2label 'Y_{num.} - Y_{theor}  [cm]' font  "sans,18"

cm2m = 0.01
MeV2eV = 1e6
am = 938.27203
c = 2.99792458e8
pi = 4. * atan(1.)

NOEL_1 = 4    #   number of 1st TOSCA in zgoubi,plt (col. 42)
NOEL_2 = 6    #   number of 2nd TOSCA in zgoubi,plt (col. 42)
NOEL_3 = 8    #   number of 3rd TOSCA in zgoubi,plt (col. 42)
NOEL_4 = 10   #   number of 4th TOSCA in zgoubi,plt (col. 42)
NOEL_5 = 12   #   number of 5th TOSCA in zgoubi,plt (col. 42)
NOEL_6 = 14   #   number of 6th TOSCA in zgoubi,plt (col. 42)

dev = 2.*pi/6.

#set size ratio -1

R1MeV = 3.01078986E+01  *cm2m
Circ = 2. *pi *R1MeV
trNumb = 2

R200keV = 1.29248888E+01  *cm2m
Circ = 2. *pi *R200keV
trNumb = 1

k = -0.03
Z0 = 0.1 
z(x) = Z0*cos(sqrt(-k) * x*Circ/R200keV) 

#plot [0:] z(x)
#pause 44
#exit

plot [0:10] \
   'zgoubi.plt' u ($14*cm2m /Circ):(z($14*cm2m /Circ)) w p ps .2  notit ,\
   'zgoubi.plt' u ($42==NOEL_1 && $19==trNumb ? $14*cm2m /Circ :1/0):($12) w p ps .2  ,\
   'zgoubi.plt' u ($42==NOEL_2 && $19==trNumb ? $14*cm2m /Circ :1/0):($12) w p ps .2 notit ,\
   'zgoubi.plt' u ($42==NOEL_3 && $19==trNumb ? $14*cm2m /Circ :1/0):($12) w p ps .2 notit ,\
   'zgoubi.plt' u ($42==NOEL_4 && $19==trNumb ? $14*cm2m /Circ :1/0):($12) w p ps .2 notit ,\
   'zgoubi.plt' u ($42==NOEL_5 && $19==trNumb ? $14*cm2m /Circ :1/0):($12) w p ps .2 notit ,\
   'zgoubi.plt' u ($42==NOEL_6 && $19==trNumb ? $14*cm2m /Circ :1/0):($12) w p ps .2 notit ,\
   'zgoubi.plt' u ($42==NOEL_1 && $19==trNumb ? $14*cm2m /Circ :1/0):($12 -z($14*cm2m /Circ)) axes x1y2 w p ps .2 lc 1  ,\
   'zgoubi.plt' u ($42==NOEL_2 && $19==trNumb ? $14*cm2m /Circ :1/0):($12 -z($14*cm2m /Circ)) axes x1y2 w p ps .2 lc 1 notit ,\
   'zgoubi.plt' u ($42==NOEL_3 && $19==trNumb ? $14*cm2m /Circ :1/0):($12 -z($14*cm2m /Circ)) axes x1y2 w p ps .2 lc 1 notit ,\
   'zgoubi.plt' u ($42==NOEL_4 && $19==trNumb ? $14*cm2m /Circ :1/0):($12 -z($14*cm2m /Circ)) axes x1y2 w p ps .2 lc 1 notit ,\
   'zgoubi.plt' u ($42==NOEL_5 && $19==trNumb ? $14*cm2m /Circ :1/0):($12 -z($14*cm2m /Circ)) axes x1y2 w p ps .2 lc 1 notit ,\
   'zgoubi.plt' u ($42==NOEL_6 && $19==trNumb ? $14*cm2m /Circ :1/0):($12 -z($14*cm2m /Circ)) axes x1y2 w p ps .2 lc 1 notit 

     set terminal postscript eps blacktext color  enh  "Times-Sans" 18
       set output "gnuplot_zgoubi.plt_ex1231a_diffTheor.eps"  
       replot  
       set terminal X11  
       unset output  
 
pause 2   # don't change this: needed for proper running of sector180deg
exit

